using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Web.Caching;

public partial class test_cache_temps2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		string heure;
		if (Cache["heure"] == null)
		{
			heure = DateTime.Now.ToLongTimeString();
			Cache.Add("heure", // clé
					  heure,   // valeur
					  null,		// dépendance fichier ou SQL
					  Cache.NoAbsoluteExpiration,
					  new TimeSpan(0, 0, 15),
					  CacheItemPriority.Default, // priorité
					  new CacheItemRemovedCallback(cb_cache));
		}
		else
			heure = (string)Cache["heure"];

		Label1.Text = heure;
    }

	private void cb_cache(string cle, object valeur, CacheItemRemovedReason raison)
	{
		// supprimer ici des données dépendantes
	}
}
